> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a collection

GET https://api.getpostman.com/apis/{apiId}/collections/{collectionId}

Gets a collection attached to an API. You can use the `versionId` query parameter to get a collection published in a version.

**Note:**

- You cannot use this endpoint to get a Git-linked API collection. Collections in a Git-linked API are stored in the linked Git repository, not in the Postman cloud. This endpoint only has access to Postman servers.
- You can get a collection published in an API version with the `versionId` query parameter.
- The `versionId` query parameter is a required parameter for API viewers.


Reference: https://learning.postman.com/api-docs/api-reference/api/get-api-collection

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /apis/{apiId}/collections/{collectionId}:
    get:
      operationId: getApiCollection
      summary: Get a collection
      description: >
        Gets a collection attached to an API. You can use the `versionId` query
        parameter to get a collection published in a version.


        **Note:**


        - You cannot use this endpoint to get a Git-linked API collection.
        Collections in a Git-linked API are stored in the linked Git repository,
        not in the Postman cloud. This endpoint only has access to Postman
        servers.

        - You can get a collection published in an API version with the
        `versionId` query parameter.

        - The `versionId` query parameter is a required parameter for API
        viewers.
      tags:
        - api
      parameters:
        - name: apiId
          in: path
          description: The API's ID.
          required: true
          schema:
            $ref: '#/components/schemas/apiId'
        - name: collectionId
          in: path
          description: The collection's unique ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionIdApi'
        - name: versionId
          in: query
          description: The API's version ID. This is a required parameter for API viewers.
          required: false
          schema:
            $ref: '#/components/schemas/apiVersionId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          description: >-
            The `application/vnd.api.v10+json` request header required to use
            the endpoint.
          required: true
          schema:
            $ref: '#/components/schemas/v10Accept'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCollection'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiCollectionRequestBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiCollectionRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiCollectionRequestNotFoundError'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCollectionRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    apiId:
      type: string
      title: apiId
    collectionIdApi:
      type: string
      format: uid
      title: collectionIdApi
    apiVersionId:
      type: string
      title: apiVersionId
    v10Accept:
      type: string
      enum:
        - application/vnd.api.v10+json
      title: v10Accept
    GetApiCollectionInfo:
      type: object
      properties:
        name:
          type: string
          description: The collection's name.
        schema:
          type: string
          format: url
          description: A URL to the collection's schema.
        _postman_id:
          type: string
          description: The collection's Postman ID.
        description:
          type: string
          description: The collection's description.
      description: Information about the collection.
      title: GetApiCollectionInfo
    getApiCollection:
      type: object
      properties:
        item:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
          description: A list of the collection's contents.
        info:
          $ref: '#/components/schemas/GetApiCollectionInfo'
          description: Information about the collection.
        auth:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            The collection's auth information. For a complete list of values,
            refer to the **Auth** entry in the [Postman Collection Format
            documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
        variable:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
          description: A list of the collection's variables.
      title: getApiCollection
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    apiErrorNameMessage:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: apiErrorNameMessage
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCollectionRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/apiErrorNameMessage'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCollectionRequestBadRequestError
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleMessageDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        message:
          type: string
          description: The error message.
        detail:
          type: object
          additionalProperties:
            description: Any type
          description: Information about the error.
      title: commonErrorTypeTitleMessageDetail
    GetApiCollectionRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorTypeTitleMessageDetail'
      title: GetApiCollectionRequestForbiddenError
    CommonErrorErrorObjTypeTitleDetailError:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Details about the error.
      description: Information about the error.
      title: CommonErrorErrorObjTypeTitleDetailError
    commonErrorErrorObjTypeTitleDetail:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorErrorObjTypeTitleDetailError'
          description: Information about the error.
      title: commonErrorErrorObjTypeTitleDetail
    GetApiCollectionRequestNotFoundError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorErrorObjTypeTitleDetail'
      title: GetApiCollectionRequestNotFoundError
    GetApiCollectionRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCollectionRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "item": [
    {
      "id": "d3779255-5293-4e58-9b65-8954936e1dca",
      "name": "Read a spacecraft",
      "protocolProfileBehavior": {
        "disableBodyPruning": true
      },
      "request": {
        "header": [
          {
            "key": "Accept",
            "value": "application/json"
          }
        ],
        "method": "GET",
        "url": {
          "host": [
            "https://api.getpostman.com"
          ],
          "path": [
            "spacecrafts",
            ":spacecraftId"
          ],
          "raw": "https://api.getpostman.com/spacecrafts/:spacecraftId",
          "variable": [
            {
              "description": "(Required) The unique identifier of the spacecraft",
              "key": "spacecraftId",
              "value": "<string>"
            }
          ]
        }
      },
      "response": [
        {
          "_postman_previewlanguage": "json",
          "_postman_previewtype": "html",
          "body": "{\n  \"id\": \"<string>\",\n  \"name\": \"commodo\",\n  \"type\": \"capsule\",\n  \"description\": \"pariatur dolo\"\n}",
          "code": 200,
          "cookie": [],
          "header": [
            {
              "key": "Content-Type",
              "value": "application/json"
            }
          ],
          "id": "54467f6e-71d7-43d5-acc0-48f948e38528",
          "name": "The spacecraft corresponding to the provided `spacecraftId`",
          "originalRequest": {
            "header": [
              {
                "description": "Added as a part of security scheme: apikey",
                "key": "X-Api-Key",
                "value": "<API Key>"
              }
            ],
            "method": "GET",
            "url": {
              "host": [
                "https://api.getpostman.com"
              ],
              "path": [
                "spacecrafts",
                ":spacecraftId"
              ],
              "raw": "https://api.getpostman.com/spacecrafts/:spacecraftId",
              "variable": [
                {
                  "description": "(Required) The unique identifier of the spacecraft",
                  "key": "spacecraftId",
                  "value": "<string>"
                }
              ]
            }
          },
          "responseTime": null,
          "status": "OK"
        },
        {
          "_postman_previewlanguage": "json",
          "_postman_previewtype": "html",
          "body": "{\n  \"message\": \"dolore Excepteur\"\n}",
          "code": 404,
          "cookie": [],
          "header": [
            {
              "key": "Content-Type",
              "value": "application/json"
            }
          ],
          "id": "1231609a-7a3d-444d-aa0c-579703e618f4",
          "name": "No spacecraft found for the provided `spacecraftId`",
          "originalRequest": {
            "header": [
              {
                "description": "Added as a part of security scheme: apikey",
                "key": "X-Api-Key",
                "value": "<API Key>"
              }
            ],
            "method": "GET",
            "url": {
              "host": [
                "https://api.getpostman.com"
              ],
              "path": [
                "spacecrafts",
                ":spacecraftId"
              ],
              "raw": "https://api.getpostman.com/spacecrafts/:spacecraftId",
              "variable": [
                {
                  "description": "(Required) The unique identifier of the spacecraft",
                  "key": "spacecraftId",
                  "value": "<string>"
                }
              ]
            }
          },
          "responseTime": null,
          "status": "Not Found"
        },
        {
          "_postman_previewlanguage": "json",
          "_postman_previewtype": "html",
          "body": "{\n  \"message\": \"dolore Excepteur\"\n}",
          "code": 500,
          "cookie": [],
          "header": [
            {
              "key": "Content-Type",
              "value": "application/json"
            }
          ],
          "id": "db674465-8cec-4208-9724-42278ca9b83c",
          "name": "Unexpected error",
          "originalRequest": {
            "header": [
              {
                "description": "Added as a part of security scheme: apikey",
                "key": "X-Api-Key",
                "value": "<API Key>"
              }
            ],
            "method": "GET",
            "url": {
              "host": [
                "https://api.getpostman.com"
              ],
              "path": [
                "spacecrafts",
                ":spacecraftId"
              ],
              "raw": "https://api.getpostman.com/spacecrafts/:spacecraftId",
              "variable": [
                {
                  "description": "(Required) The unique identifier of the spacecraft",
                  "key": "spacecraftId",
                  "value": "<string>"
                }
              ]
            }
          },
          "responseTime": null,
          "status": "Internal Server Error"
        }
      ]
    }
  ],
  "info": {
    "name": "Generated",
    "schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
    "_postman_id": "e726de58-f1b3-4edd-a8a7-2579dc799d39",
    "description": "Buy or rent spacecrafts"
  },
  "auth": {
    "apikey": [
      {
        "key": "key",
        "value": "X-Api-Key"
      },
      {
        "key": "value",
        "value": "{{apiKey}}"
      },
      {
        "key": "in",
        "value": "header"
      }
    ],
    "type": "apikey"
  },
  "variable": [
    {
      "id": "526a20ba-acfb-4549-a841-8edf2d24b929",
      "key": "baseUrl",
      "type": "string",
      "value": "/"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002"

headers = {
    "Accept": "application/vnd.api.v10+json",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002';
const options = {
  method: 'GET',
  headers: {Accept: 'application/vnd.api.v10+json', 'x-api-key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.api.v10+json")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/vnd.api.v10+json'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002")
  .header("Accept", "application/vnd.api.v10+json")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002', [
  'headers' => [
    'Accept' => 'application/vnd.api.v10+json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.api.v10+json");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "Accept": "application/vnd.api.v10+json",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```